# -*- coding: utf-8 -*-
# -----------------------------------------------------------------------
#    This file is part of WAPT
#    Copyright (C) 2013  Tranquil IT Systems http://www.tranquil.it
#    WAPT aims to help Windows systems administrators to deploy
#    setup and update applications on users PC.
#
#    WAPT is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    WAPT is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with WAPT.  If not, see <http://www.gnu.org/licenses/>.
#
# -----------------------------------------------------------------------
from setuphelpers import *


def install():
    if iswin64():
        install_msi_if_needed("cdbxp_setup_x64_4.5.8.7128.msi")
    else:
        install_msi_if_needed("cdbxp_setup_4.5.8.7128.msi")


def update_package():
    wget(
        "http://srvtemplates.ad.tranquil.it/binary_cache/cdbxp_setup_x64_4.5.8.7128.msi",
        "cdbxp_setup_x64_4.5.8.7128.msi",
        sha256="af80a5b901100d73855dd1f04845c79511cc2f1299c0ca38dfac8d03ce8fed00",
    )
    wget(
        "http://srvtemplates.ad.tranquil.it/binary_cache/cdbxp_setup_4.5.8.7128.msi",
        "cdbxp_setup_4.5.8.7128.msi",
        sha256="e92450832b09e32fc769bc94d3b00b04ef5c05d7542cec77a63603c562b757d1",
    )
